package services

import (
	"project_management/app/e"
	"project_management/app/model"
	"project_management/unity"
)

type AppUser interface {
	AddAppUser(appUser model.AppUser) e.Rescode
	RegistAppUser(appUser model.AppUserRegist) e.Rescode
	GetAppUserList(params unity.CapQueryPageParams, tableName string, queryCond string) (result []model.AppUser, total int64, err error)
	UpdateAppUser(appUser model.AppUser, tabaleName string) e.Rescode
	DeleteAppUserByID(id int, tableName string) e.Rescode
	AccountLogin(appUser model.AppUserRegist) (e.Rescode, string)
	CodeLogin(appUser model.AppUserRegist) (e.Rescode, string)
}
