package routers

import (
	"github.com/gin-gonic/gin"
	"project_management/app/controller"
)

func ApplyCapRouter(r *gin.Engine) {
	group := r.Group("/api")
	group.POST("/apply/addcap", controller.ApplyAddCap)
	group.GET("/apply/cap", controller.GetApplyCapList)
	group.PUT("/apply/cap", controller.UpDateApplyCap)
	group.PUT("/apply/sort", controller.UpDateApplyCapSort)
	group.DELETE("/apply/cap", controller.DeleteApplyCap)
	group.GET("/apply/cap/detail", controller.GetCapDetailByCapID)
}
